Package com.google.javascript.jscomp

# Class FunctionInformationMap.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>
com.google.javascript.jscomp.FunctionInformationMap.Builder

All Implemented Interfaces:
  `FunctionInformationMapOrBuilder`, `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`

Enclosing class:
  `FunctionInformationMap`

public static final class FunctionInformationMap.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder> implements FunctionInformationMapOrBuilder
Protobuf type `jscomp.FunctionInformationMap`

## Method Summary

Modifier and Type
Method
Description
`FunctionInformationMap.Builder`
`addAllEntry(Iterable<? extends FunctionInformationMap.Entry> values)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`addAllModule(Iterable<? extends FunctionInformationMap.Module> values)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`addEntry(int index, FunctionInformationMap.Entry value)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`addEntry(int index, FunctionInformationMap.Entry.Builder builderForValue)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`addEntry(FunctionInformationMap.Entry value)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`addEntry(FunctionInformationMap.Entry.Builder builderForValue)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Entry.Builder`
`addEntryBuilder()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Entry.Builder`
`addEntryBuilder(int index)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`addModule(int index, FunctionInformationMap.Module value)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`addModule(int index, FunctionInformationMap.Module.Builder builderForValue)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`addModule(FunctionInformationMap.Module value)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`addModule(FunctionInformationMap.Module.Builder builderForValue)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Module.Builder`
`addModuleBuilder()`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Module.Builder`
`addModuleBuilder(int index)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`FunctionInformationMap`
`build()`
`FunctionInformationMap`
`buildPartial()`
`FunctionInformationMap.Builder`
`clear()`
`FunctionInformationMap.Builder`
`clearEntry()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`FunctionInformationMap.Builder`
`clearModule()`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`FunctionInformationMap.Builder`
`clone()`
`FunctionInformationMap`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`FunctionInformationMap.Entry`
`getEntry(int index)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Entry.Builder`
`getEntryBuilder(int index)`
`repeated group Entry = 1 { ...`
`List<FunctionInformationMap.Entry.Builder>`
`getEntryBuilderList()`
`repeated group Entry = 1 { ...`
`int`
`getEntryCount()`
`repeated group Entry = 1 { ...`
`List<FunctionInformationMap.Entry>`
`getEntryList()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.EntryOrBuilder`
`getEntryOrBuilder(int index)`
`repeated group Entry = 1 { ...`
`List<? extends FunctionInformationMap.EntryOrBuilder>`
`getEntryOrBuilderList()`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Module`
`getModule(int index)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Module.Builder`
`getModuleBuilder(int index)`
`repeated group Module = 101 { ...`
`List<FunctionInformationMap.Module.Builder>`
`getModuleBuilderList()`
`repeated group Module = 101 { ...`
`int`
`getModuleCount()`
`repeated group Module = 101 { ...`
`List<FunctionInformationMap.Module>`
`getModuleList()`
`repeated group Module = 101 { ...`
`FunctionInformationMap.ModuleOrBuilder`
`getModuleOrBuilder(int index)`
`repeated group Module = 101 { ...`
`List<? extends FunctionInformationMap.ModuleOrBuilder>`
`getModuleOrBuilderList()`
`repeated group Module = 101 { ...`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`FunctionInformationMap.Builder`
`mergeFrom(FunctionInformationMap other)`
`FunctionInformationMap.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`FunctionInformationMap.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`final FunctionInformationMap.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`FunctionInformationMap.Builder`
`removeEntry(int index)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`removeModule(int index)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`setEntry(int index, FunctionInformationMap.Entry value)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`setEntry(int index, FunctionInformationMap.Entry.Builder builderForValue)`
`repeated group Entry = 1 { ...`
`FunctionInformationMap.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`FunctionInformationMap.Builder`
`setModule(int index, FunctionInformationMap.Module value)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`setModule(int index, FunctionInformationMap.Module.Builder builderForValue)`
`repeated group Module = 101 { ...`
`FunctionInformationMap.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final FunctionInformationMap.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### clear

public FunctionInformationMap.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### getDefaultInstanceForType

public FunctionInformationMap getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public FunctionInformationMap build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public FunctionInformationMap buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public FunctionInformationMap.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### setField

public FunctionInformationMap.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### clearField

public FunctionInformationMap.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### clearOneof

public FunctionInformationMap.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### setRepeatedField

public FunctionInformationMap.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### addRepeatedField

public FunctionInformationMap.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### mergeFrom

public FunctionInformationMap.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Builder>`

### mergeFrom

public FunctionInformationMap.Builder mergeFrom(FunctionInformationMap other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### mergeFrom

public FunctionInformationMap.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Builder>`
Throws:
  `IOException`

### getEntryList

public List<FunctionInformationMap.Entry> getEntryList()
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryList` in interface `FunctionInformationMapOrBuilder`

### getEntryCount

public int getEntryCount()
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryCount` in interface `FunctionInformationMapOrBuilder`

### getEntry

public FunctionInformationMap.Entry getEntry(int index)
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntry` in interface `FunctionInformationMapOrBuilder`

### setEntry

public FunctionInformationMap.Builder setEntry(int index, FunctionInformationMap.Entry value)
`repeated group Entry = 1 { ... }`

### setEntry

public FunctionInformationMap.Builder setEntry(int index, FunctionInformationMap.Entry.Builder builderForValue)
`repeated group Entry = 1 { ... }`

### addEntry

public FunctionInformationMap.Builder addEntry(FunctionInformationMap.Entry value)
`repeated group Entry = 1 { ... }`

### addEntry

public FunctionInformationMap.Builder addEntry(int index, FunctionInformationMap.Entry value)
`repeated group Entry = 1 { ... }`

### addEntry

public FunctionInformationMap.Builder addEntry(FunctionInformationMap.Entry.Builder builderForValue)
`repeated group Entry = 1 { ... }`

### addEntry

public FunctionInformationMap.Builder addEntry(int index, FunctionInformationMap.Entry.Builder builderForValue)
`repeated group Entry = 1 { ... }`

### addAllEntry

public FunctionInformationMap.Builder addAllEntry(Iterable<? extends FunctionInformationMap.Entry> values)
`repeated group Entry = 1 { ... }`

### clearEntry

public FunctionInformationMap.Builder clearEntry()
`repeated group Entry = 1 { ... }`

### removeEntry

public FunctionInformationMap.Builder removeEntry(int index)
`repeated group Entry = 1 { ... }`

### getEntryBuilder

public FunctionInformationMap.Entry.Builder getEntryBuilder(int index)
`repeated group Entry = 1 { ... }`

### getEntryOrBuilder

public FunctionInformationMap.EntryOrBuilder getEntryOrBuilder(int index)
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryOrBuilder` in interface `FunctionInformationMapOrBuilder`

### getEntryOrBuilderList

public List<? extends FunctionInformationMap.EntryOrBuilder> getEntryOrBuilderList()
`repeated group Entry = 1 { ... }`

Specified by:
  `getEntryOrBuilderList` in interface `FunctionInformationMapOrBuilder`

### addEntryBuilder

public FunctionInformationMap.Entry.Builder addEntryBuilder()
`repeated group Entry = 1 { ... }`

### addEntryBuilder

public FunctionInformationMap.Entry.Builder addEntryBuilder(int index)
`repeated group Entry = 1 { ... }`

### getEntryBuilderList

public List<FunctionInformationMap.Entry.Builder> getEntryBuilderList()
`repeated group Entry = 1 { ... }`

### getModuleList

public List<FunctionInformationMap.Module> getModuleList()
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleList` in interface `FunctionInformationMapOrBuilder`

### getModuleCount

public int getModuleCount()
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleCount` in interface `FunctionInformationMapOrBuilder`

### getModule

public FunctionInformationMap.Module getModule(int index)
`repeated group Module = 101 { ... }`

Specified by:
  `getModule` in interface `FunctionInformationMapOrBuilder`

### setModule

public FunctionInformationMap.Builder setModule(int index, FunctionInformationMap.Module value)
`repeated group Module = 101 { ... }`

### setModule

public FunctionInformationMap.Builder setModule(int index, FunctionInformationMap.Module.Builder builderForValue)
`repeated group Module = 101 { ... }`

### addModule

public FunctionInformationMap.Builder addModule(FunctionInformationMap.Module value)
`repeated group Module = 101 { ... }`

### addModule

public FunctionInformationMap.Builder addModule(int index, FunctionInformationMap.Module value)
`repeated group Module = 101 { ... }`

### addModule

public FunctionInformationMap.Builder addModule(FunctionInformationMap.Module.Builder builderForValue)
`repeated group Module = 101 { ... }`

### addModule

public FunctionInformationMap.Builder addModule(int index, FunctionInformationMap.Module.Builder builderForValue)
`repeated group Module = 101 { ... }`

### addAllModule

public FunctionInformationMap.Builder addAllModule(Iterable<? extends FunctionInformationMap.Module> values)
`repeated group Module = 101 { ... }`

### clearModule

public FunctionInformationMap.Builder clearModule()
`repeated group Module = 101 { ... }`

### removeModule

public FunctionInformationMap.Builder removeModule(int index)
`repeated group Module = 101 { ... }`

### getModuleBuilder

public FunctionInformationMap.Module.Builder getModuleBuilder(int index)
`repeated group Module = 101 { ... }`

### getModuleOrBuilder

public FunctionInformationMap.ModuleOrBuilder getModuleOrBuilder(int index)
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleOrBuilder` in interface `FunctionInformationMapOrBuilder`

### getModuleOrBuilderList

public List<? extends FunctionInformationMap.ModuleOrBuilder> getModuleOrBuilderList()
`repeated group Module = 101 { ... }`

Specified by:
  `getModuleOrBuilderList` in interface `FunctionInformationMapOrBuilder`

### addModuleBuilder

public FunctionInformationMap.Module.Builder addModuleBuilder()
`repeated group Module = 101 { ... }`

### addModuleBuilder

public FunctionInformationMap.Module.Builder addModuleBuilder(int index)
`repeated group Module = 101 { ... }`

### getModuleBuilderList

public List<FunctionInformationMap.Module.Builder> getModuleBuilderList()
`repeated group Module = 101 { ... }`

### setUnknownFields

public final FunctionInformationMap.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`

### mergeUnknownFields

public final FunctionInformationMap.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Builder>`